Bug 1480762 - Review Request: golang-github-jdkato-prose - Golang library for text processing
Review Request: golang-github-jdkato-prose - Golang library for text processing
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Robert-André Mauchin
Fedora Extras Quality Assurance
:
Depends On: 1480717 1480739 1480750 1483129
Blocks: 1426972
  Show dependency treegraph
 
Reported: 2017-08-11 16:13 EDT by Athos Ribeiro
Modified: 2017-09-12 10:16 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2017-09-12 10:16:28 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
zebob.m: fedora‑review+


Attachments (Terms of Use)

  None (edit)
Description Athos Ribeiro 2017-08-11 16:13:55 EDT
Spec URL: https://athoscr.fedorapeople.org/packaging/golang-github-jdkato-prose.spec
SRPM URL: https://athoscr.fedorapeople.org/packaging/golang-github-jdkato-prose-0-0.1.20170806gita678fc7.fc26.src.rpm
Description: Golang library for text processing
Fedora Account System Username: athoscr
Comment 1 Robert-André Mauchin 2017-08-17 04:54:17 EDT
This package seems to also depend on gopkg.in/neurosnap/sentences.v1 for its tests. Since it is not packaged, the tests fails. Please package it and add it as a BR.
Comment 2 Robert-André Mauchin 2017-08-17 04:59:22 EDT
You also need to add testdata/ to unit-test-devel.file-list. Otherwise tests will fail too.
Comment 3 Robert-André Mauchin 2017-08-17 05:01:08 EDT
My bad, you already did it later in the spec.
Comment 4 Athos Ribeiro 2017-08-18 15:46:53 EDT
Added the missing dependency (which was not packaged in fedora) using upstream sources (from github).

Spec URL: https://athoscr.fedorapeople.org/packaging/golang-github-jdkato-prose.spec
SRPM URL: https://athoscr.fedorapeople.org/packaging/golang-github-jdkato-prose-0-0.2.20170806gita678fc7.fc26.src.rpm
Comment 5 Athos Ribeiro 2017-09-08 18:23:16 EDT
Removed patch to change neurosnap/sentences dependency namespace

Spec URL: https://athoscr.fedorapeople.org/packaging/golang-github-jdkato-prose.spec
SRPM URL: https://athoscr.fedorapeople.org/packaging/golang-github-jdkato-prose-0-0.3.20170806gita678fc7.fc26.src.rpm
Comment 6 Robert-André Mauchin 2017-09-11 12:22:46 EDT
Hello,

I almost forgot this package. I've got a couple of issues:

 - First, I've got a build error because mock can't find /usr/bin/cmd/prose

RPM build errors:
    File not found: /builddir/build/BUILDROOT/golang-github-jdkato-prose-0-0.3.20170806gita678fc7.fc28.x86_64/usr/bin/cmd/prose

   The correct location of the binary is /usr/bin/prose. So you should change the %files directive to:

%{_bindir}/prose

 - There are text files marked as executables in the testdata:

-rwxr-xr-x. 1 root root  15143 Aug  6 21:16 1-syllable-words.txt
-rwxr-xr-x. 1 root root  28580 Aug  6 21:16 2-syllable-words.txt
-rwxr-xr-x. 1 root root  19198 Aug  6 21:16 3-syllable-words.txt
-rwxr-xr-x. 1 root root   8922 Aug  6 21:16 4-syllable-words.txt
-rwxr-xr-x. 1 root root   2512 Aug  6 21:16 5-syllable-words.txt
-rwxr-xr-x. 1 root root    273 Aug  6 21:16 6-syllable-words.txt
-rwxr-xr-x. 1 root root     13 Aug  6 21:16 7-syllable-words.txt

    These executable bits should be removed in %install.

chmod 0644 %{buildroot}/%{gopath}/src/%{import_path}/testdata/*.txt

    You should probably report this upstream too.


Package Review
==============

Legend:
[x] = Pass, [!] = Fail, [-] = Not applicable, [?] = Not evaluated
[ ] = Manual review needed



===== MUST items =====

Generic:
[x]: Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[x]: License field in the package spec file matches the actual license.
     Note: Checking patched sources after %prep for licenses. Licenses
     found: "MIT/X11 (BSD like)", "Unknown or generated". 68 files have
     unknown license. Detailed output of licensecheck in
     /home/bob/packaging/review/golang-github-jdkato-prose/review-golang-
     github-jdkato-prose/licensecheck.txt
[x]: License file installed when any subpackage combination is installed.
[x]: Package must own all directories that it creates.
     Note: Directories without known owners: /usr/share/gocode/src,
     /usr/share/gocode, /usr/share/gocode/src/github.com
[x]: %build honors applicable compiler flags or justifies otherwise.
[x]: Package contains no bundled libraries without FPC exception.
[x]: Changelog in prescribed format.
[x]: Sources contain only permissible code or content.
[-]: Package contains desktop file if it is a GUI application.
[x]: Development files must be in a -devel package
[x]: Package uses nothing in %doc for runtime.
[x]: Package consistently uses macros (instead of hard-coded directory
     names).
[x]: Package is named according to the Package Naming Guidelines.
[x]: Package does not generate any conflict.
[x]: Package obeys FHS, except libexecdir and /usr/target.
[-]: If the package is a rename of another package, proper Obsoletes and
     Provides are present.
[x]: Requires correct, justified where necessary.
[x]: Spec file is legible and written in American English.
[-]: Package contains systemd file(s) if in need.
[x]: Useful -debuginfo package or justification otherwise.
[-]: Package is not known to require an ExcludeArch tag.
[-]: Large documentation must go in a -doc subpackage. Large could be size
     (~1MB) or number of files.
     Note: Documentation size is 30720 bytes in 6 files.
[x]: Package complies to the Packaging Guidelines
[x]: Package successfully compiles and builds into binary rpms on at least
     one supported primary architecture.
[x]: Package installs properly.
[x]: Rpmlint is run on all rpms the build produces.
     Note: There are rpmlint messages (see attachment).
[x]: If (and only if) the source package includes the text of the
     license(s) in its own file, then that file, containing the text of the
     license(s) for the package is included in %license.
[x]: Package requires other packages for directories it uses.
[x]: Package does not own files or directories owned by other packages.
[x]: All build dependencies are listed in BuildRequires, except for any
     that are listed in the exceptions section of Packaging Guidelines.
[x]: Package uses either %{buildroot} or $RPM_BUILD_ROOT
[x]: Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
[x]: Macros in Summary, %description expandable at SRPM build time.
[x]: Dist tag is present.
[x]: Package does not contain duplicates in %files.
[x]: Permissions on files are set properly.
[x]: Package use %makeinstall only when make install DESTDIR=... doesn't
     work.
[x]: Package is named using only allowed ASCII characters.
[x]: Package does not use a name that already exists.
[x]: Package is not relocatable.
[x]: Sources used to build the package match the upstream source, as
     provided in the spec URL.
[x]: Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[x]: File names are valid UTF-8.
[x]: Packages must not store files under /srv, /opt or /usr/local

===== SHOULD items =====

Generic:
[-]: If the source package does not include license text(s) as a separate
     file from upstream, the packager SHOULD query upstream to include it.
[x]: Final provides and requires are sane (see attachments).
[x]: Fully versioned dependency in subpackages if applicable.
     Note: No Requires: %{name}%{?_isa} = %{version}-%{release} in golang-
     github-jdkato-prose-devel , golang-github-jdkato-prose-unit-test-devel
     , golang-github-jdkato-prose-debuginfo
[?]: Package functions as described.
[x]: Latest version is packaged.
[x]: Package does not include license text files separate from upstream.
[-]: Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[x]: %check is present and all tests pass.
[x]: Packages should try to preserve timestamps of original installed
     files.
[x]: Spec use %global instead of %define unless justified.
     Note: %define requiring justification: %define gobuild(o:) go build
     -ldflags "${LDFLAGS:-} -B 0x$(head -c20 /dev/urandom|od -An -tx1|tr -d
     ' \\n')" -a -v -x %{?**};
[x]: Reviewer should test that the package builds in mock.
[x]: Buildroot is not present
[x]: Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
[x]: No file requires outside of /etc, /bin, /sbin, /usr/bin, /usr/sbin.
[x]: Packager, Vendor, PreReq, Copyright tags should not be in spec file
[x]: Sources can be downloaded from URI in Source: tag
[x]: SourceX is a working URL.
[x]: Package should compile and build into binary rpms on all supported
     architectures.

===== EXTRA items =====

Generic:
[x]: Rpmlint is run on debuginfo package(s).
     Note: There are rpmlint messages (see attachment).
[x]: Rpmlint is run on all installed packages.
     Note: There are rpmlint messages (see attachment).
[x]: Large data in /usr/share should live in a noarch subpackage if package
     is arched.
[x]: Spec file according to URL is the same as in SRPM.


Rpmlint
-------
Checking: golang-github-jdkato-prose-0-0.3.20170806gita678fc7.fc28.x86_64.rpm
          golang-github-jdkato-prose-devel-0-0.3.20170806gita678fc7.fc28.noarch.rpm
          golang-github-jdkato-prose-unit-test-devel-0-0.3.20170806gita678fc7.fc28.x86_64.rpm
          golang-github-jdkato-prose-debuginfo-0-0.3.20170806gita678fc7.fc28.x86_64.rpm
          golang-github-jdkato-prose-0-0.3.20170806gita678fc7.fc28.src.rpm
golang-github-jdkato-prose.x86_64: W: only-non-binary-in-usr-lib
golang-github-jdkato-prose.x86_64: W: hidden-file-or-dir /usr/lib/.build-id
golang-github-jdkato-prose.x86_64: W: hidden-file-or-dir /usr/lib/.build-id
golang-github-jdkato-prose.x86_64: W: no-manual-page-for-binary prose
golang-github-jdkato-prose-unit-test-devel.x86_64: E: script-without-shebang /usr/share/gocode/src/github.com/jdkato/prose/testdata/1-syllable-words.txt
golang-github-jdkato-prose-unit-test-devel.x86_64: E: script-without-shebang /usr/share/gocode/src/github.com/jdkato/prose/testdata/2-syllable-words.txt
golang-github-jdkato-prose-unit-test-devel.x86_64: E: script-without-shebang /usr/share/gocode/src/github.com/jdkato/prose/testdata/3-syllable-words.txt
golang-github-jdkato-prose-unit-test-devel.x86_64: E: script-without-shebang /usr/share/gocode/src/github.com/jdkato/prose/testdata/4-syllable-words.txt
golang-github-jdkato-prose-unit-test-devel.x86_64: E: script-without-shebang /usr/share/gocode/src/github.com/jdkato/prose/testdata/5-syllable-words.txt
golang-github-jdkato-prose-unit-test-devel.x86_64: E: script-without-shebang /usr/share/gocode/src/github.com/jdkato/prose/testdata/6-syllable-words.txt
golang-github-jdkato-prose-unit-test-devel.x86_64: E: script-without-shebang /usr/share/gocode/src/github.com/jdkato/prose/testdata/7-syllable-words.txt
5 packages and 0 specfiles checked; 7 errors, 4 warnings.
Comment 8 Robert-André Mauchin 2017-09-11 21:04:02 EDT
All good then. Package accepted.
Comment 9 Athos Ribeiro 2017-09-12 09:59:18 EDT
Thanks for the review! :)
Comment 10 Gwyn Ciesla 2017-09-12 10:03:46 EDT
(fedrepo-req-admin):  The Pagure repository was created at https://src.fedoraproject.org/rpms/golang-github-jdkato-prose

Note You need to log in before you can comment on or make changes to this bug.